## nvpy 2.0.0

=== Makefile ===
.PHONY: all
all: format test

.PHONY: format
format:
	yapf -r -p -i .

.PHONY: test
test:
	PYTHONPATH=.:$$PYTHONPATH python3 -m unittest discover -s tests -p '*.py'

## nvpy 0.9.5~git20130806

=== debian/changelog ===
nvpy (0.9.5~git20130806-1) unstable; urgency=low

  * Initial release. (Closes: #725482)

 -- Stefan van der Walt <stefan@sun.ac.za>  Sun, 06 Oct 2013 16:22:43 +0200

=== debian/control ===
Source: nvpy
Section: contrib/utils
Priority: optional
Maintainer: Stefan van der Walt <stefan@sun.ac.za>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 8.1), python, python-setuptools, python-tk
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
VCS-Git: https://github.com/stefanv/nvpy -b debian
Homepage: https://github.com/cpbotha/nvpy

Package: nvpy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-markdown, python-tk
Description: Simplenote-syncing note-taking tool
 nvpy is a simplenote-syncing note-taking tool inspired by Notational Velocity
 (and a little bit by nvALT too) on OSX and ResophNotes on Windows. It is
 significantly uglier, but it is cross-platform.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/n/nvpy/nvpy-(.*).tar.gz

## nvpy 0.9.7

=== debian/changelog ===
nvpy (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Add gbp configuration with upstream release tag
  * Refresh missing-config-debian-specific-warning patch
  * Remove patches locally after building
  * Update standards version to 3.9.6
  * Add man page

 -- Stefan van der Walt <stefan@sun.ac.za>  Tue, 08 Mar 2016 00:50:06 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Stefan van der Walt <stefan@sun.ac.za>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 8.1), python, python-setuptools, python-tk
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 VCS-Git: https://github.com/stefanv/nvpy -b debian
 Homepage: https://github.com/cpbotha/nvpy

## nvpy 1.0.0%2Bgit20171203.c91062c

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nvpy
 Section: contrib/utils
 Priority: optional
-Maintainer: Stefan van der Walt <stefan@sun.ac.za>
+Maintainer: Stefan van der Walt <stefanv@berkeley.edu>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 8.1), python, python-setuptools, python-tk
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 11), python, python-setuptools, python-tk, python-markdown
+Standards-Version: 4.1.3
+X-Python-Version: >= 2.7
 VCS-Git: https://github.com/stefanv/nvpy -b debian
 Homepage: https://github.com/cpbotha/nvpy

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/nvpy

override_dh_install:
	dh_install
	rm -rf debian/nvpy/usr/share/nvpy/*.egg-info
	chmod +x debian/nvpy/usr/share/nvpy/nvpy/nvpy.py
	cd debian/nvpy/usr/share/nvpy/nvpy && \
		rm -f icons/nvpy.ico icons/README.md nvpy-example.cfg

## nvpy 1.0.0+git20171203.c91062c

=== debian/changelog ===
nvpy (1.0.0+git20171203.c91062c-1) unstable; urgency=low

  * Change Debian copyright format to point to https url
  * Fix watch file
  * Override lintian warning debian-watch-does-not-check-gpg-signature
  * Override lintian warning testsuite-autopkgtest-missing
  * Update maintainer email address
  * Update standards version to 4.1.3
  * Include fixes from upstream/master with latest bugfixes
  * New upstream release

 -- Stefan van der Walt <stefanv@berkeley.edu>  Thu, 18 Jan 2018 01:05:28 -0800

## nvpy 2.0.0

=== debian/changelog ===
nvpy (2.0.0-2) unstable; urgency=medium

  * Add copyright for debian files
  * Change compatibility to 10, to allow backports to older systems

 -- Stefan van der Walt <stefanv@berkeley.edu>  Tue, 29 Oct 2019 15:50:31 -0700

nvpy (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add dependency on python3-simplenote
  * Refresh all patches
  * Add yapf3 code formatter as build dependency
  * Set debhelper to v9 in control to match specified requirement
  * Add Vcs-Browser
  * Remove simplenote.py from copyright (now external package)
  * Update standards version
  * Use /usr/bin/python3 to launch script
  * Change section to utils: does not depend on non-free software
  * Use start-nvpy.py script to launch, after setting path
  * Remove unused files in from nvpy/icons

 -- Stefan van der Walt <stefanv@berkeley.edu>  Thu, 19 Sep 2019 16:31:56 -0700

=== debian/control ===
Source: nvpy
Section: utils
Priority: optional
Maintainer: Stefan van der Walt <stefanv@berkeley.edu>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 12), python3, dh-python, python3-setuptools, yapf3
Standards-Version: 4.4.0
Vcs-Git: https://github.com/stefanv/nvpy -b debian
Vcs-Browser: https://github.com/stefanv/nvpy/tree/debian
Homepage: https://github.com/cpbotha/nvpy

Package: nvpy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-markdown, python3-tk, python3-simplenote
Description: Simplenote-syncing note-taking tool
 nvpy is a simplenote-syncing note-taking tool inspired by Notational Velocity
 (and a little bit by nvALT too) on OSX and ResophNotes on Windows. It is
 significantly uglier, but it is cross-platform.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nvpy
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/nvpy/

BUILD_DIR=debian/nvpy
BIN=$(BUILD_DIR)/usr/bin
SHARE=$(BUILD_DIR)/usr/share/nvpy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	dh_install
	mkdir -p $(BIN)
	cp start-nvpy.py $(BIN)/nvpy
	chmod +x $(BIN)/nvpy
	rm -rf $(SHARE)/*.egg-info
	rm $(SHARE)/nvpy/nvpy-example.cfg
	cd $(SHARE)/nvpy/icons && \
	  rm -f nvpy.ico nvpy.icns README.md

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvpy-$1\.tar\.gz/ \
  https://github.com/cpbotha/nvpy/tags .*/v?(\d\S+)\.tar\.gz

## nvpy 2.3.1

=== Makefile ===
.PHONY: all
all: format test

.PHONY: format
format:
	yapf -r -p -i .

.PHONY: test
test:
	PYTHONPATH=.:$$PYTHONPATH mypy nvpy tests benchmarks debug-utils
	PYTHONPATH=.:$$PYTHONPATH coverage run -m unittest discover -s tests -p '*.py'
	# Generate coverage report.
	coverage report --skip-covered nvpy/*.py
	coverage html
	# Open htmlcov/index.html in a Web browser.

.PHONY: benchmark
benchmark:
	PYTHONPATH=.:$$PYTHONPATH python3 benchmarks/sorters.py
	PYTHONPATH=.:$$PYTHONPATH python3 benchmarks/notes_list.py

.PHONY: docs
docs:
	python3 -m pdoc --http localhost:8080 nvpy

=== debian/changelog ===
nvpy (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintain package in Debian Python Team
  * d/watch: version=5
  * debhelper-compat (= 13)
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Fix Python3 SyntaxWarning
    Closes: #1085744
  * Fix permissions in example config files

 -- Andreas Tille <tille@debian.org>  Tue, 17 Feb 2026 21:39:35 +0100

=== debian/control ===
Source: nvpy
Section: utils
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefan van der Walt <stefanv@berkeley.edu>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper-compat (= 13), python3, dh-sequence-python3, python3-setuptools, yapf3
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/nvpy
Vcs-Git: https://salsa.debian.org/python-team/packages/nvpy.git
Homepage: https://github.com/cpbotha/nvpy

Package: nvpy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-markdown, python3-tk, python3-simplenote
Description: Simplenote-syncing note-taking tool
 nvpy is a simplenote-syncing note-taking tool inspired by Notational Velocity
 (and a little bit by nvALT too) on OSX and ResophNotes on Windows. It is
 significantly uglier, but it is cross-platform.

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,7 @@
 SHARE=$(BUILD_DIR)/usr/share/nvpy
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
@@ -22,3 +19,7 @@
 	rm $(SHARE)/nvpy/nvpy-example.cfg
 	cd $(SHARE)/nvpy/icons && \
 	  rm -f nvpy.ico nvpy.icns README.md
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod -x debian/*/usr/share/doc/nvpy/examples/*.cfg

=== debian/watch ===
Version: 5

Template: Github
Owner: cpbotha
Project: nvpy
